--- old/usr/src/cmd/pwck/pwck.c	Mon Mar 25 12:53:26 2013
+++ new/usr/src/cmd/pwck/pwck.c	Mon Mar 25 12:53:26 2013
@@ -19,6 +19,8 @@
  * CDDL HEADER END
  */
 /*
+ * Copyright (c) 2013 Gary Mills
+ *
  * Copyright 2007 Sun Microsystems, Inc.  All rights reserved.
  * Use is subject to license terms.
  */
@@ -27,8 +29,6 @@
 /*	  All Rights Reserved  	*/
 
 
-#pragma ident	"%Z%%M%	%I%	%E% SMI"
-
 #include <sys/types.h>
 #include <sys/param.h>
 #include <sys/signal.h>
@@ -41,7 +41,14 @@
 #include <locale.h>
 #include <errno.h>
 #include <unistd.h>
+#include <limits.h>
 
+#ifdef	LOGNAME_MAX_ILLUMOS
+#define	_LOGNAME_MAX	LOGNAME_MAX_ILLUMOS
+#else /* LOGNAME_MAX_ILLUMOS */
+#define	_LOGNAME_MAX	LOGNAME_MAX
+#endif /* LOGNAME_MAX_ILLUMOS */
+
 #define	ERROR1	"Too many/few fields"
 #define	ERROR2	"Bad character(s) in logname"
 #define	ERROR2a "First char in logname not alphabetic"
@@ -163,7 +170,7 @@
 
 		/* Check for valid number of characters in logname */
 
-		if (i <= 0 || i > 8)
+		if (i <= 0 || i > _LOGNAME_MAX)
 			error(ERROR3);
 
 		/* Check that UID is numeric and <= MAXUID */
